# Monitoring NTFY module

## Features

This module integrates ntfy.sh with the Monitoring module and will send notifications to a configured topic when the
status of a certain sensor will change. Currently, you can select one or more severities which will trigger a
notification. This is on a global level, setting this up individually for each sensor might be done later.

## Installation

Install as usual, recommend is to install via composer.

This module uses the library from: https://github.com/VerifiedJoseph/ntfy-php-library

## Usage

After installing the module head to /admin/config/system/monitoring/settings/ntfy and configure your settings.
You can either use your own ntfy.sh instance or the default one.

If your server requires authentication you can set the details as well. It is recommended to use environment variables.
The modules support authentication via access token or user/password.

### Environment variables

* MONITORING_NTFY_AUTH_METHOD -> Either "user" or "token"
* MONITORING_NTFY_ACCESS_TOKEN -> The access token for your user (only for "token" method)
* MONITORING_NTFY_USER -> The username on the ntfy.sh server instance (only for "user" method)
* MONITORING_NTFY_PASSWORD -> The password of the user on the ntfy.sh server instance (only for "user" method)
